# $Revision: 1.51 $, $Date: 2007/06/09 19:35:15 $
%define		_modname	gtk
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	PHP language bindings for GTK+ toolkit
Summary(pl.UTF-8):	Moduł PHP z wiązaniami do GTK+
Name:		php4-gtk
Version:	1.0.2
Release:	8
License:	GPL
Group:		Libraries
Source0:	http://gtk.php.net/distributions/php-gtk-%{version}.tar.gz
# Source0-md5:	b11859c0778e40e53a14919a589db464
Patch0:		%{name}-object.patch
Patch1:		%{name}-generator.patch
Patch2:		%{name}-php_path.patch
URL:		http://gtk.php.net/
BuildRequires:	gtk+-devel >= 1:1.2.6
BuildRequires:	libglade-devel
BuildRequires:	php4-cli
BuildRequires:	php4-devel >= 3:4.3.0
BuildRequires:	php4-pcre
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	php4-cli
Provides:	php(gtk)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP-GTK is a PHP extension that enables you to write client-side
cross-platform GUI applications. This is the first such extension of
this kind and one of the goals behind it was to prove that PHP is a
capable general-purpose scripting language that is suited for more
than just Web applications.

This extension will _not_ allow you to display GTK+ programs in a Web
browser, and cannot be used in the Web environment. It is intended for
creating standalone GUI applications.

%description -l pl.UTF-8
PHP-GTK jest rozszerzeniem PHP które pozwala pisać klienckie przenośne
aplikacje typu GUI. To jest pierwsze rozszerzenie tego typu i jednym z
celów które przyświecały jego autorom było pokazanie że PHP jest
językiem skryptowym ogólnego zastosowania, który pasuje do czegoś
więcej niż tylko aplikacje WWW.

To rozszerzenie _nie_pozwala_ na używanie programów korzystających z
GTK+ przez przeglądarkę i nie może być używane w środowisku WWW. Jest
przeznaczone do tworzenia samodzielnych aplikacji GUI.

%prep
%setup -q -n php_gtk-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
phpize
%configure \
	--with-php-config=%{_bindir}/php-config
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}
install modules/php_gtk.so $RPM_BUILD_ROOT%{extensionsdir}/%{_modname}.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS TODO NEWS
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-gtk.spec,v $
Revision 1.51  2007/06/09 19:35:15  arekm
- rel 8

Revision 1.50  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.48  2006/11/26 20:58:28  glen
- Provide php(gtk), fix pcre dep; rel 7

Revision 1.47  2006/11/26 16:14:48  glen
- php virtual extension deps

Revision 1.46  2006/11/26 14:43:27  glen
- php epoch

Revision 1.45  2006/11/26 14:42:47  glen
- drop bogus obsoletes

Revision 1.44  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.43  2006/06/29 09:51:32  adamg
- Obsoletes: php-gtk

Revision 1.42  2005/10/31 11:04:13  arekm
- rel 5

Revision 1.41  2005/10/30 10:27:34  glen
- rebuild with zts and debug requires [FN]

Revision 1.40  2005/10/27 15:20:22  glen
- BR: gtk+-devel
- rebuild with php(debug) and php(thread-safety) macros
- rel 3

Revision 1.39  2005/09/15 20:11:26  glen
- rel 2

Revision 1.38  2005/09/15 18:28:01  glen
- this extension doesn't support gtk+2

Revision 1.37  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.36  2005/09/13 21:15:34  glen
- use new php/zend api macros

Revision 1.35  2005/09/11 22:20:38  glen
- updated to 1.0.2

Revision 1.34  2005/09/11 22:12:59  glen
- cosmetics, requires php 4.3.x (not compatible with php 4.4.x)

Revision 1.33  2005/09/07 14:10:34  glen
- phpize already calls aclocal

Revision 1.32  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.31  2004/12/10 18:48:31  havner
- rel 2

Revision 1.30  2004/12/05 12:59:04  adamg
- release 1

Revision 1.29  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.28  2004/11/26 19:15:59  ankry
- webowy -> WWW

Revision 1.27  2004/11/17 08:49:22  adamg
- BuildRequires: php4-pcre
- sorted BuildRequires list

Revision 1.26  2004/11/17 08:33:40  adamg
- add a patch for php bin so that phpize doesn't fail

Revision 1.25  2004/11/16 21:41:48  adamg
- fixed E:V-R in BuildRequires: php-devel
- Requires/BuildRequires: php-cli
- removed redefinition of sysconfdir - it's not used here anyway
- fixed %setup
- pass PHP=%{_bindir}/php4 to make
- builds, works

Revision 1.24  2004/11/16 20:01:35  adamg
- reflect name change

Revision 1.23  2004/10/24 20:44:57  qboosh
- more pl fixes

Revision 1.22  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.21  2004/08/22 20:12:28  qboosh
- updated to 1.0.1; still needs php 4.3.x

Revision 1.20  2004/02/08 09:07:10  misi3k
- updated to 1.0.0
- rel 0.1

Revision 1.19  2003/10/02 08:23:52  adamg
- removed %post/preun - it didn't do anything anyway

Revision 1.18  2003/07/03 11:21:00  ggodlewski
- patches for nest

Revision 1.17  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/12 22:37:58  adamg
- do not add extension=php.gtk into php.ini, it makes php die. If user
  wants to use this module, he should use dl() function.

Revision 1.14  2003/03/06 12:47:27  ankry
- added src URL

Revision 1.13  2003/03/05 21:41:05  ggodlewski
- updated to 0.5.2

Revision 1.12  2002/10/09 13:14:43  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/07/12 17:50:35  blues
- removed provides - it was stupid idea

Revision 1.10  2002/07/12 16:39:55  blues
- release 2
- added provides pear(gdk) pear(GtkWindow)
- new doc
- STBR

Revision 1.9  2002/03/14 15:57:12  baggins
- updated to 0.5.0
- STBR

Revision 1.8  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/10/02 08:55:17  qboosh
- added Source0 URL (note: current version is 0.1.1)

Revision 1.4  2001/09/21 03:07:20  kloczek
- spec adaptrerized and few cosmetics.

Revision 1.3  2001/09/20 18:47:37  baggins
- buildrequires php-pcre

Revision 1.2  2001/09/20 18:08:16  baggins
- buildrequires php-cgi

Revision 1.1  2001/09/01 17:55:39  zagrodzki
- initial release
